Info<< "Reading time field\n" << endl;
volScalarField time
(
    IOobject
    (
        "time",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

Info<< "Reaction rate" << endl;
volScalarField reactionRate
(
    IOobject
    (
        "reactionRate",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    mesh,
    dimensionedScalar("rate", dimless/dimTime, 0),
    "zeroGradient"
);
